/**
 * @license
 * Copyright 2019 Google LLC
 * SPDX-License-Identifier: Apache-2.0
 */
import { __decorate } from "tslib";
// Style preference for leading underscores.
// tslint:disable:strip-private-property-underscore
import { customElement } from 'lit/decorators.js';
import { styles } from '@material/mwc-icon-button/mwc-icon-button.css.js';
import { IconButtonToggleBase } from './mwc-icon-button-toggle-base.js';
let IconButtonToggle = class IconButtonToggle extends IconButtonToggleBase {
};
IconButtonToggle.styles = [styles];
IconButtonToggle = __decorate([
    customElement('mwc-icon-button-toggle')
], IconButtonToggle);
export { IconButtonToggle };
//# sourceMappingURL=mwc-icon-button-toggle.js.map